Package com.oracle.truffle.api.nodes

## Class NodeUtil.NodeClass

- java.lang.Object
- - com.oracle.truffle.api.nodes.NodeUtil.NodeClass

Enclosing class:
  NodeUtil

    public static final class NodeUtil.NodeClass
    extends java.lang.Object

Information about a `Node` class. A single instance of this class is allocated for every subclass of `Node` that is used.

### Constructor Summary

Constructors
`NodeClass​(java.lang.Class<? extends Node> clazz, NodeUtil.FieldOffsetProvider fieldOffsetProvider)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`static NodeUtil.NodeClass` `get​(java.lang.Class<? extends Node> clazz)`
`long[]` `getChildOffsets()`
`long[]` `getChildrenOffsets()`
`NodeUtil.NodeField[]` `getFields()`
`long` `getParentOffset()`
`int` `hashCode()`
`java.util.Iterator<Node>` `makeIterator​(Node node)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeClass

    public NodeClass​(java.lang.Class<? extends Node> clazz,
                     NodeUtil.FieldOffsetProvider fieldOffsetProvider)

### Method Detail

#### get

    public static NodeUtil.NodeClass get​(java.lang.Class<? extends Node> clazz)

#### getFields

    public NodeUtil.NodeField[] getFields()

#### getParentOffset

    public long getParentOffset()

#### getChildOffsets

    public long[] getChildOffsets()

#### getChildrenOffsets

    public long[] getChildrenOffsets()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### makeIterator

    public java.util.Iterator<Node> makeIterator​(Node node)